Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.text
Class OdfNotesConfigurationElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.text.OdfNotesConfigurationElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfNotesConfiguration

    public abstract class OdfNotesConfigurationElement

extends OdfElement

DOM implementation of OpenDocument element text:notes-configuration.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfNotesConfigurationElement(OdfFileDom aOwnerDoc)` Create the instance of OdfNotesConfigurationElement

Method Summary
`String` | `getCitationBodyStyleName()` Get value of attribute text:citation-body-style-name.
`String` | `getCitationStyleName()` Get value of attribute text:citation-style-name.
`String` | `getDefaultStyleName()` Get value of attribute text:default-style-name.
`OdfFootnotesPositionType` | `getFootnotesPosition()` Get value of attribute text:footnotes-position.
`String` | `getMasterPageName()` Get value of attribute text:master-page-name.
`OdfNoteClassType` | `getNoteClass()` Get value of attribute text:note-class.
`String` | `getNumFormat()` Get value of attribute style:num-format.
`OdfBoolean` | `getNumLetterSync()` Get value of attribute style:num-letter-sync.
`String` | `getNumPrefix()` Get value of attribute style:num-prefix.
`String` | `getNumSuffix()` Get value of attribute style:num-suffix.
`OdfName` | `getOdfName()` Get the element name
`OdfStartNumberingAtType` | `getStartNumberingAt()` Get value of attribute text:start-numbering-at.
`OdfNonNegativeInteger` | `getStartValue()` Get value of attribute text:start-value.
`void` | `init(OdfNoteClassType noteClass)` Initialization of the mandatory attributes of `OdfNotesConfigurationElement`
`void` | `setCitationBodyStyleName(OdfStyleNameRef citationBodyStyleName)` Set value of attribute text:citation-body-style-name.
`void` | `setCitationStyleName(OdfStyleNameRef citationStyleName)` Set value of attribute text:citation-style-name.
`void` | `setDefaultStyleName(OdfStyleNameRef defaultStyleName)` Set value of attribute text:default-style-name.
`void` | `setFootnotesPosition(OdfFootnotesPositionType footnotesPosition)` Set value of attribute text:footnotes-position.
`void` | `setMasterPageName(OdfStyleNameRef masterPageName)` Set value of attribute text:master-page-name.
`void` | `setNoteClass(OdfNoteClassType noteClass)` Set value of attribute text:note-class.
`void` | `setNumFormat(String numFormat)` Set value of attribute style:num-format.
`void` | `setNumLetterSync(OdfBoolean isNumLetterSync)` Set value of attribute style:num-letter-sync.
`void` | `setNumPrefix(String numPrefix)` Set value of attribute style:num-prefix.
`void` | `setNumSuffix(String numSuffix)` Set value of attribute style:num-suffix.
`void` | `setStartNumberingAt(OdfStartNumberingAtType startNumberingAt)` Set value of attribute text:start-numbering-at.
`void` | `setStartValue(OdfNonNegativeInteger startValue)` Set value of attribute text:start-value.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfNotesConfigurationElement

    public OdfNotesConfigurationElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfNotesConfigurationElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element text:notes-configuration.

### init

    public void init(OdfNoteClassType noteClass)

  Initialization of the mandatory attributes of `OdfNotesConfigurationElement`

  Parameters:
    `noteClass` - The mandatory attribute text:note-class"

### getNoteClass

    public OdfNoteClassType getNoteClass()

  Get value of attribute text:note-class.

  Returns:
    return the attribute which type is OdfNoteClassType

### setNoteClass

    public void setNoteClass(OdfNoteClassType noteClass)

  Set value of attribute text:note-class.

  Parameters:
    `noteClass` - the attribute's type is OdfNoteClassType

### getCitationStyleName

    public String getCitationStyleName()

  Get value of attribute text:citation-style-name.

  Returns:
    return the attribute which type is String

### setCitationStyleName

    public void setCitationStyleName(OdfStyleNameRef citationStyleName)

  Set value of attribute text:citation-style-name.

  Parameters:
    `citationStyleName` - the attribute's type is OdfStyleNameRef

### getCitationBodyStyleName

    public String getCitationBodyStyleName()

  Get value of attribute text:citation-body-style-name.

  Returns:
    return the attribute which type is String

### setCitationBodyStyleName

    public void setCitationBodyStyleName(OdfStyleNameRef citationBodyStyleName)

  Set value of attribute text:citation-body-style-name.

  Parameters:
    `citationBodyStyleName` - the attribute's type is OdfStyleNameRef

### getDefaultStyleName

    public String getDefaultStyleName()

  Get value of attribute text:default-style-name.

  Returns:
    return the attribute which type is String

### setDefaultStyleName

    public void setDefaultStyleName(OdfStyleNameRef defaultStyleName)

  Set value of attribute text:default-style-name.

  Parameters:
    `defaultStyleName` - the attribute's type is OdfStyleNameRef

### getMasterPageName

    public String getMasterPageName()

  Get value of attribute text:master-page-name.

  Returns:
    return the attribute which type is String

### setMasterPageName

    public void setMasterPageName(OdfStyleNameRef masterPageName)

  Set value of attribute text:master-page-name.

  Parameters:
    `masterPageName` - the attribute's type is OdfStyleNameRef

### getStartValue

    public OdfNonNegativeInteger getStartValue()

  Get value of attribute text:start-value.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setStartValue

    public void setStartValue(OdfNonNegativeInteger startValue)

  Set value of attribute text:start-value.

  Parameters:
    `startValue` - the attribute's type is OdfNonNegativeInteger

### getNumPrefix

    public String getNumPrefix()

  Get value of attribute style:num-prefix.

  Returns:
    return the attribute which type is String

### setNumPrefix

    public void setNumPrefix(String numPrefix)

  Set value of attribute style:num-prefix.

  Parameters:
    `numPrefix` - the attribute's type is String

### getNumSuffix

    public String getNumSuffix()

  Get value of attribute style:num-suffix.

  Returns:
    return the attribute which type is String

### setNumSuffix

    public void setNumSuffix(String numSuffix)

  Set value of attribute style:num-suffix.

  Parameters:
    `numSuffix` - the attribute's type is String

### getNumFormat

    public String getNumFormat()

  Get value of attribute style:num-format.

  Returns:
    return the attribute which type is String

### setNumFormat

    public void setNumFormat(String numFormat)

  Set value of attribute style:num-format.

  Parameters:
    `numFormat` - the attribute's type is String

### getNumLetterSync

    public OdfBoolean getNumLetterSync()

  Get value of attribute style:num-letter-sync.

  Returns:
    return the attribute which type is OdfBoolean

### setNumLetterSync

    public void setNumLetterSync(OdfBoolean isNumLetterSync)

  Set value of attribute style:num-letter-sync.

  Parameters:
    `isNumLetterSync` - the attribute's type is OdfBoolean

### getStartNumberingAt

    public OdfStartNumberingAtType getStartNumberingAt()

  Get value of attribute text:start-numbering-at.

  Returns:
    return the attribute which type is OdfStartNumberingAtType

### setStartNumberingAt

    public void setStartNumberingAt(OdfStartNumberingAtType startNumberingAt)

  Set value of attribute text:start-numbering-at.

  Parameters:
    `startNumberingAt` - the attribute's type is OdfStartNumberingAtType

### getFootnotesPosition

    public OdfFootnotesPositionType getFootnotesPosition()

  Get value of attribute text:footnotes-position.

  Returns:
    return the attribute which type is OdfFootnotesPositionType

### setFootnotesPosition

    public void setFootnotesPosition(OdfFootnotesPositionType footnotesPosition)

  Set value of attribute text:footnotes-position.

  Parameters:
    `footnotesPosition` - the attribute's type is OdfFootnotesPositionType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.